Nocturnal Practitioners of Magic

    jxl-wasm

    0.7.0 • Public • Published

    jxl-wasm

    WebAssembly-compiled JPEG XL command line tool for Node.js. It requires Node.js >=16.4.0 (V8 >=9.1) for wasm SIMD support.

    How to use

    1. npm i -g jxl-wasm
    2. Run cjxl-wasm for encoding and djxl-wasm for decoding.

    Build environment

    Below are my current environment, which doesn't exactly mean they are the required versions.

    • Emscripten 2.0.26
    • Node.js 16.6.0
    • CMake 3.17.1

    Install

    npm i jxl-wasm

    DownloadsWeekly Downloads

    10

    Version

    0.7.0

    License

    ISC

    Unpacked Size

    3.88 MB

    Total Files

    9

    Last publish

    Collaborators

    • saschanaz